// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

/** Ionic CSS Variables **/
:root {
  /** primary **/
  --ion-color-primary: #3880ff;
  --ion-color-primary-rgb: 56, 128, 255;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255, 255, 255;
  --ion-color-primary-shade: #3171e0;
  --ion-color-primary-tint: #4c8dff;

  /** secondary **/
  --ion-color-secondary: #3dc2ff;
  --ion-color-secondary-rgb: 61, 194, 255;
  --ion-color-secondary-contrast: #ffffff;
  --ion-color-secondary-contrast-rgb: 255, 255, 255;
  --ion-color-secondary-shade: #36abe0;
  --ion-color-secondary-tint: #50c8ff;

  /** tertiary **/
  --ion-color-tertiary: #5260ff;
  --ion-color-tertiary-rgb: 82, 96, 255;
  --ion-color-tertiary-contrast: #ffffff;
  --ion-color-tertiary-contrast-rgb: 255, 255, 255;
  --ion-color-tertiary-shade: #4854e0;
  --ion-color-tertiary-tint: #6370ff;

  /** success **/
  --ion-color-success: #2dd36f;
  --ion-color-success-rgb: 45, 211, 111;
  --ion-color-success-contrast: #ffffff;
  --ion-color-success-contrast-rgb: 255, 255, 255;
  --ion-color-success-shade: #28ba62;
  --ion-color-success-tint: #42d77d;

  /** warning **/
  --ion-color-warning: #ffc409;
  --ion-color-warning-rgb: 255, 196, 9;
  --ion-color-warning-contrast: #000000;
  --ion-color-warning-contrast-rgb: 0, 0, 0;
  --ion-color-warning-shade: #e0ac08;
  --ion-color-warning-tint: #ffca22;

  /** danger **/
  --ion-color-danger: #eb445a;
  --ion-color-danger-rgb: 235, 68, 90;
  --ion-color-danger-contrast: #ffffff;
  --ion-color-danger-contrast-rgb: 255, 255, 255;
  --ion-color-danger-shade: #cf3c4f;
  --ion-color-danger-tint: #ed576b;

  /** dark **/
  --ion-color-dark: #222428;
  --ion-color-dark-rgb: 34, 36, 40;
  --ion-color-dark-contrast: #ffffff;
  --ion-color-dark-contrast-rgb: 255, 255, 255;
  --ion-color-dark-shade: #1e2023;
  --ion-color-dark-tint: #383a3e;

  /** medium **/
  --ion-color-medium: #92949c;
  --ion-color-medium-rgb: 146, 148, 156;
  --ion-color-medium-contrast: #ffffff;
  --ion-color-medium-contrast-rgb: 255, 255, 255;
  --ion-color-medium-shade: #808289;
  --ion-color-medium-tint: #9d9fa6;

  /** light **/
  --ion-color-light: #f4f5f8;
  --ion-color-light-rgb: 244, 245, 248;
  --ion-color-light-contrast: #000000;
  --ion-color-light-contrast-rgb: 0, 0, 0;
  --ion-color-light-shade: #d7d8da;
  --ion-color-light-tint: #f5f6f9;


  /* purple */
  --ion-color-purple: #673FB4;
  --ion-color-purple-rgb: 255, 215, 0;
  --ion-color-purple-contrast: #fff;
  --ion-color-purple-contrast-rgb: 0, 0, 0;
  --ion-color-purple-shade: #673FB4;
  --ion-color-purple-tint: #673FB4;

  /* slack */
  --ion-color-slack: #1c081c;
  --ion-color-slack-rgb: 255, 215, 0;
  --ion-color-slack-contrast: #fff;
  --ion-color-slack-contrast-rgb: 0, 0, 0;
  --ion-color-slack-shade: #1c081c;
  --ion-color-slack-tint: #1c081c;

  /* slackSub */
  --ion-color-slackSub: #3f0e40;
  --ion-color-slackSub-rgb: 255, 215, 0;
  --ion-color-slackSub-contrast: #fff;
  --ion-color-slackSub-contrast-rgb: 0, 0, 0;
  --ion-color-slackSub-shade: #3f0e40;
  --ion-color-slackSub-tint: #3f0e40;

  /* grayOpacity */
  --ion-color-grayOpacity: rgba(0,0,0,0.54);
  --ion-color-grayOpacity-rgb: 255, 215, 0;
  --ion-color-grayOpacity-contrast: #fff;
  --ion-color-grayOpacity-contrast-rgb: 0, 0, 0;
  --ion-color-grayOpacity-shade: rgba(0,0,0,0.54);
  --ion-color-grayOpacity-tint: rgba(0,0,0,0.54);

  /* backgray */
  --ion-color-backgray: #F5F5F5;
  --ion-color-backgray-rgb: 255, 215, 0;
  --ion-color-backgray-contrast: #fff;
  --ion-color-backgray-contrast-rgb: 0, 0, 0;
  --ion-color-backgray-shade: #F5F5F5;
  --ion-color-backgray-tint: #F5F5F5;

  /* orange */
  --ion-color-orange: #FF5722;
  --ion-color-orange-rgb: 255, 215, 0;
  --ion-color-orange-contrast:  #ffffff;
  --ion-color-orange-contrast-rgb: 0, 0, 0;
  --ion-color-orange-shade: #FF5722;
  --ion-color-orange-tint: #FF5722;
}

.ion-color-purple {
  --ion-color-base: var(--ion-color-purple) !important;
  --ion-color-base-rgb: var(--ion-color-purple-rgb) !important;
  --ion-color-contrast: var(--ion-color-purple-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-purple-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-purple-shade) !important;
  --ion-color-tint: var(--ion-color-purple-tint) !important;
}

.ion-color-slack {
  --ion-color-base: var(--ion-color-slack) !important;
  --ion-color-base-rgb: var(--ion-color-slack-rgb) !important;
  --ion-color-contrast: var(--ion-color-slack-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-slack-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-slack-shade) !important;
  --ion-color-tint: var(--ion-color-slack-tint) !important;
}

.ion-color-slackSub {
  --ion-color-base: var(--ion-color-slackSub) !important;
  --ion-color-base-rgb: var(--ion-color-slackSub-rgb) !important;
  --ion-color-contrast: var(--ion-color-slackSub-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-slackSub-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-slackSub-shade) !important;
  --ion-color-tint: var(--ion-color-slackSub-tint) !important;
}

.ion-color-backgray {
  --ion-color-base: var(--ion-color-backgray) !important;
  --ion-color-base-rgb: var(--ion-color-backgray-rgb) !important;
  --ion-color-contrast: var(--ion-color-backgray-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-backgray-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-backgray-shade) !important;
  --ion-color-tint: var(--ion-color-backgray-tint) !important;
}

.ion-color-grayOpacity {
  --ion-color-base: var(--ion-color-grayOpacity) !important;
  --ion-color-base-rgb: var(--ion-color-grayOpacity-rgb) !important;
  --ion-color-contrast: var(--ion-color-grayOpacity-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-grayOpacity-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-grayOpacity-shade) !important;
  --ion-color-tint: var(--ion-color-grayOpacity-tint) !important;
}
.ion-color-orange {
  --ion-color-base: var(--ion-color-orange) !important;
  --ion-color-base-rgb: var(--ion-color-orange-rgb) !important;
  --ion-color-contrast: var(--ion-color-orange-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-orange-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-orange-shade) !important;
  --ion-color-tint: var(--ion-color-orange-tint) !important;
}
